ports-mgmt/portupgrade-devel

Mark Nowiasz buckaroo at gmx.de
Tue Jan 29 14:28:27 PST 2008


Hi,

when using portupgrade-devel, I'm getting the following errors:

--->  Session ended at: Tue, 29 Jan 2008 22:58:52 +0100 (consumed 00:02:01)
/usr/local/lib/ruby/site_ruby/1.8/pkgversion.rb:41:in `initialize': : Not in 
due form: '<version>[_<revision>][,<epoch>]'. (ArgumentError)
        from /usr/local/sbin/portupgrade:630:in `new'
        from /usr/local/sbin/portupgrade:630:in `main'
        from /usr/local/sbin/portupgrade:618:in `each'
        from /usr/local/sbin/portupgrade:618:in `main'
        from /usr/local/sbin/portupgrade:582:in `catch'
        from /usr/local/sbin/portupgrade:582:in `main'
        from /usr/local/lib/ruby/1.8/optparse.rb:1303:in `call'
        from /usr/local/lib/ruby/1.8/optparse.rb:1303:in `parse_in_order'
         ... 7 levels...
        from /usr/local/lib/ruby/1.8/optparse.rb:785:in `initialize'
        from /usr/local/sbin/portupgrade:228:in `new'
        from /usr/local/sbin/portupgrade:228:in `main'
        from /usr/local/sbin/portupgrade:2110

portupgrade --version
portupgrade 2.4.1

Regards,
Mark
-- 
Q:  How do you play religious roulette?
A:  You stand around in a circle and blaspheme and see who gets struck by 
lightning first.


More information about the freebsd-ports mailing list